import _extends from "@babel/runtime/helpers/esm/extends";
import { symbol, Phases } from './constants';

var properties = function properties(_ref, sagaProperties) {
  var promise = _ref.promise;

  if (promise[symbol].phase !== Phases.SAGA) {
    throw new TypeError();
  }

  promise[symbol].properties = _extends({}, promise[symbol].properties, sagaProperties);
  promise[symbol].phase = Phases.PROPERTIES;
  return promise;
};

export default properties;
//# sourceMappingURL=properties.js.map