import _regeneratorRuntime from "@babel/runtime/regenerator";
import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
export default (function () {
  var secrets = new Map();
  return {
    getSecret: function () {
      var _getSecret = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(id) {
        return _regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                return _context.abrupt("return", Promise.resolve(secrets.get(id)));

              case 1:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));

      function getSecret(_x) {
        return _getSecret.apply(this, arguments);
      }

      return getSecret;
    }(),
    setSecret: function () {
      var _setSecret = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee2(id, secret) {
        return _regeneratorRuntime.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                secrets.set(id, secret);
                return _context2.abrupt("return", Promise.resolve());

              case 2:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));

      function setSecret(_x2, _x3) {
        return _setSecret.apply(this, arguments);
      }

      return setSecret;
    }(),
    deleteSecret: function () {
      var _deleteSecret = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee3(id) {
        return _regeneratorRuntime.wrap(function _callee3$(_context3) {
          while (1) {
            switch (_context3.prev = _context3.next) {
              case 0:
                return _context3.abrupt("return", Promise.resolve(secrets["delete"](id)));

              case 1:
              case "end":
                return _context3.stop();
            }
          }
        }, _callee3);
      }));

      function deleteSecret(_x4) {
        return _deleteSecret.apply(this, arguments);
      }

      return deleteSecret;
    }()
  };
});
//# sourceMappingURL=secrets-manager.js.map