"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _constants = require("./constants");

var as = function as(_ref, jwt) {
  var promise = _ref.promise;
  var phase = promise[_constants.symbol].phase;

  if (![_constants.Phases.RESOLVER, _constants.Phases.COMMAND].includes(promise[_constants.symbol].phase)) {
    throw new TypeError("invalid phase " + promise[_constants.symbol].phase);
  }

  promise[_constants.symbol].jwt = jwt;

  if (phase === _constants.Phases.RESOLVER) {
    promise[_constants.symbol].phase = _constants.Phases.READ_MODEL_AS;
  } else {
    promise[_constants.symbol].phase = _constants.Phases.COMMAND_AS;
  }

  return promise;
};

var _default = as;
exports["default"] = _default;
//# sourceMappingURL=as.js.map