"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _constants = require("./constants");

var setSecretsManager = function setSecretsManager(_ref, secretsManager) {
  var promise = _ref.promise;

  if (promise[_constants.symbol].phase !== _constants.Phases.GIVEN_EVENTS) {
    throw new TypeError();
  }

  promise[_constants.symbol].secretsManager = secretsManager;
  return promise;
};

var _default = setSecretsManager;
exports["default"] = _default;
//# sourceMappingURL=set-secrets-manager.js.map