import { symbol, Phases } from './constants';
export var command = function command(context, name, payload) {
  if (context[symbol].phase !== Phases.AGGREGATE) {
    throw new TypeError();
  }

  context[symbol].phase = Phases.COMMAND;
  context[symbol].command = {
    name: name,
    payload: payload
  };
  return context;
};
//# sourceMappingURL=command.js.map