import { symbol, Phases } from './constants';

var saga = function saga(_ref, _ref2) {
  var promise = _ref.promise;
  var handlers = _ref2.handlers,
      sideEffects = _ref2.sideEffects,
      adapter = _ref2.adapter,
      _ref2$name = _ref2.name,
      name = _ref2$name === void 0 ? 'TEST-SAGA-READ-MODEL' : _ref2$name;

  if (promise[symbol].phase !== Phases.GIVEN_EVENTS) {
    throw new TypeError();
  }

  promise[symbol].handlers = handlers != null ? handlers : {};
  promise[symbol].sideEffects = sideEffects != null ? sideEffects : {};
  promise[symbol].adapter = adapter;
  promise[symbol].name = name;
  promise[symbol].phase = Phases.SAGA;
  return promise;
};

export default saga;
//# sourceMappingURL=saga.js.map