"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.execute = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _constants = require("./constants");

var execute = /*#__PURE__*/function () {
  var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(pool) {
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.t0 = pool.promise[_constants.symbol].phase;
            _context.next = _context.t0 === _constants.Phases.SAGA ? 3 : _context.t0 === _constants.Phases.PROPERTIES ? 3 : _context.t0 === _constants.Phases.READ_MODEL ? 6 : _context.t0 === _constants.Phases.RESOLVER ? 6 : _context.t0 === _constants.Phases.READ_MODEL_AS ? 6 : _context.t0 === _constants.Phases.AGGREGATE ? 9 : _context.t0 === _constants.Phases.COMMAND ? 9 : _context.t0 === _constants.Phases.COMMAND_AS ? 9 : 12;
            break;

          case 3:
            _context.next = 5;
            return pool.executeSaga(pool);

          case 5:
            return _context.abrupt("return", _context.sent);

          case 6:
            _context.next = 8;
            return pool.executeReadModel(pool);

          case 8:
            return _context.abrupt("return", _context.sent);

          case 9:
            _context.next = 11;
            return pool.executeCommand(pool);

          case 11:
            return _context.abrupt("return", _context.sent);

          case 12:
            throw new TypeError();

          case 13:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  return function execute(_x) {
    return _ref.apply(this, arguments);
  };
}();

exports.execute = execute;
//# sourceMappingURL=execute.js.map